<?php

define('IN_PHPBB', true);
define('BB_SCRIPT', 'rss');
define('BB_ROOT', './');
require(BB_ROOT ."common.php");

$user->session_start();
if (isset($_GET['login_username']) && isset($_GET['login_password']))
{
	$login_username = mb_convert_encoding($_GET['login_username'],'UTF8', 'CP1251');
	$login_password = (string) @$_GET['login_password'];
	
	if ($user->login($_GET, false, true))
	{
		$sql = DB()->fetch_rowset("SELECT 
		p.id, p.sub, 
		pu.pid,pu.puid,pu.pm_type, 
		pt.time, pt.tx_id, pt.us_id, pt.text
			FROM ".BB_PM." p
				LEFT JOIN ".BB_PM_TEXT." pt ON(pt.pm_id = p.id)
				LEFT JOIN ".BB_PM_USERS." pu ON(pu.pid = p.id)
			WHERE pt.pm_id = p.id
			 AND pu.puid = ".get_user_id($_GET['login_username'])."
			GROUP BY pt.time DESC LIMIT 0, 20");
		$name = $_SERVER['SERVER_NAME'];
		header("Content-Type: text/xml");
		$html = '';
		$html .= '<?xml version="1.0" encoding="UTF-8"?>
			<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">
			<channel>
			<title>RSS Feed - '.$name.'</title>
			<link>http://'.$_SERVER['SERVER_NAME'].'</link>
		<language>ru</language>';
		foreach($sql as $row)
		{
			$html .= '
			<item>
				<title>'.$row['sub'].'</title>
				<link>'.make_url('/').'/pm.php?mode=view&amp;id='.$row['id'].'&amp;pm='.$row['tx_id'].'</link>
				<pubDate>'.gmdate('M d Y H:i:s', $row['time']).'</pubDate>
				<guid isPermaLink="true">'.make_url('/').'/pm.php?mode=view&amp;id='.$row['id'].'&amp;pm='.$row['tx_id'].'</guid>
				<description>'.$lang['AUTHOR'].': '.get_username($row['us_id']).'&lt;br /&gt;
				&lt;br /&gt;&lt;span class="postbody"&gt;
				'.$row['text'].'&lt;/span&gt;&lt;br /&gt;
				</description>
				<dc:creator>'.get_username($row['us_id']).'</dc:creator>
				<dc:subject>'.$row['sub'].'</dc:subject>
				<comments>'.make_url('/').'/pm.php?mode=view&amp;id='.$row['id'].'&amp;pm='.$row['tx_id'].'</comments>
			</item>
			';
		}
		$html .='</channel>
		</rss>';
	}else{
		$message = '';
		$login_err = CACHE('bb_login_err')->get('l_err_'. USER_IP);
		if($login_err > $bb_cfg['invalid_logins']) $message = 'У вас осталось '.(50 - $login_err).' попыток. Дальше последует бан!';
		if($login_err > 50)
		{
			$message .= "Вы получили бан по ип. Мы рады за вас.";
		}
		CACHE('bb_login_err')->set('l_err_'. USER_IP, ($login_err + 1), 3600);
		$message .= "Логин или пароль введены не верно";
		
		$name = $_SERVER['SERVER_NAME'];
		header("Content-Type: text/xml");
		$html = '';
		$html .= '<?xml version="1.0" encoding="UTF-8"?>
			<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">
			<channel>
			<title>'.$_SERVER['SERVER_NAME'].' : Доступ к переписке.</title>
			<link>http://'.$_SERVER['SERVER_NAME'].'</link>
		<language>ru</language>';
		$html .= '
		<item>
			<guid>'.make_url('/').'PrivMesRss.php</guid>
			<title>'.$message. mb_convert_encoding($_GET['login_username'],'UTF8', 'CP1251') .'</title>
			<link>'.make_url('/').'PrivMesRss.php</link>
		</item>';
		$html .='</channel>
		</rss>';
	}	
}else{
	$name = $_SERVER['SERVER_NAME'];
	header("Content-Type: text/xml");
	$html = '';
	$html .= '<?xml version="1.0" encoding="UTF-8"?>
		<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">
		<channel>
		<title>RSS Feed - '.$name.'</title>
		<link>http://'.$_SERVER['SERVER_NAME'].'</link>
		<language>ru</language>';
			$html .= '
			<item>
				<guid>'.make_url('/').'PrivMesRss.php</guid>
				<title>Вы должны ввести логин и пароль</title>
				<link>'.make_url('/').'PrivMesRss.php</link>
			</item>';
	$html .='</channel>
	</rss>';
}
echo $html;
?>