<?php

if (!defined('IN_AJAX')) die(basename(__FILE__));

global $lang, $bb_cfg;

$mode = $this->request['mode'];
$data = $this->request['data'];
$html = $search_result = '';

function searchCheck ($search, $minSymvol = 5, $maxSymvol = 128, $maxWords= 10)
{
	if (mb_strlen($search, 'UTF-8') < $minSymvol) 
	{
		bb_die('Слишком короткий поисковый запрос.');
	}
	$search = strip_tags($search);
	//$search = mb_strtolower(trim($search), 'UTF-8'); //Преобразуем в нижний регистр и переводим кирилицу в UTF
	$search = trim($search); //Преобразуем в нижний регистр
	$search = preg_replace('~[^a-z0-9 \x80-\xFF]~i', "",$search); //Удаляем не нужные символы
	$search = encode_text_match($search);
	$search = preg_replace("/[\s]([^\s]{1,$minSymvol})[\s]/", " ", str_replace(" ", "  ", " ".$search." ")); //Удаление коротких слов
	$search = preg_replace('/ {2,}/',' ',$search); // убираем повторяющиеся пробелы 
	$search = substr($search, 0, $maxSymvol); //Ограничение на символы
	$search = limit_words($search, $maxWords); //Ограничение на кол-во слов
	if (mb_strlen($search, 'UTF-8') < $minSymvol) 
	{
		bb_die('Слишком короткий поисковый запрос.');
	}
	return trim($search);
}

function limit_words ($string, $word_limit)
{
    $words = explode(" ",$string);
    return implode(" ",array_splice($words,0,$word_limit));
}

switch ($mode)
{		
	case 'UserName':
		if (isset($data)) 
		{
			$max_result = '11';
			$Result = searchCheck($data, 1);
			$Result = explode(" ", $Result);
			foreach ($Result as $key => $value) {
				$dataResult[] = '+'.$value.'*';
			}
			$search = implode(" ", $dataResult);
			
			$username_search = preg_replace('/\*/', '%', clean_username($data));

			$sql = DB()->fetch_rowset("
				SELECT username
				FROM ". BB_USERS ."
				WHERE MATCH (username) AGAINST ('". $search ."' IN BOOLEAN MODE)
					AND user_id <> ". ANONYMOUS ."
				ORDER BY username
				LIMIT 0,$max_result
			");
			
			foreach ($sql as $row)
			{
				$username = htmlCHR(stripslashes(html_entity_decode($row['username'])));
				$search_result[] = $username;
			}
		}else{
			$search_result .= $lang['AJAX_SEARCH_NO_NAME'];
		}	
		$this->response['tagOn'] = true;
		$this->response['tag'] = $search_result;
	break;
		
	default:
		$this->ajax_die($lang['SELECT_A_MODE']);
	break;
}
$this->response['html'] = $html;

