<?php

if (!defined('IN_AJAX')) die(basename(__FILE__));

global $lang, $userdata;

if (!isset($this->request['mode']))
{
	$this->ajax_die($lang['SELECT_A_MODE']);
}

$mode = $this->request['mode'];

switch($mode)
{
	case 'update':
		$unread_pm = 0;
		if ($userdata['user_new_privmsg'] > 0)
		{
			$pm_text = '<span class="pmNew" title="'.declension($userdata['user_new_privmsg'], $lang['NEW_PMS_DECLENSION'], $lang['NEW_PMS_FORMAT']).'">';
			$pm_text .= $userdata['user_new_privmsg'];
			$pm_text .= '</span>';
			$pm_text .= '<span class="arrowNew"></span>';
			$unread_pm = ($userdata['user_new_privmsg'] > 0);
		}
		else if(!$unread_pm && $userdata['user_unread_privmsg'])
		{
			$pm_text = '<span class="pmOld" title="'.declension($userdata['user_unread_privmsg'], $lang['UNREAD_PMS_DECLENSION'], $lang['UNREAD_PMS_FORMAT']).'">';
			$pm_text .= $userdata['user_unread_privmsg'];
			$pm_text .= '</span>';
			$pm_text .= '<span class="arrowOld"></span>';
		}else{
			$pm_text = false;
		}
		$this->response['pmUpdate'] = $pm_text;		
		break;
		
	case 'load':
		$sql = DB()->fetch_rowset("SELECT 
		p.id, p.sub, 
		pu.pid,pu.puid,pu.pm_type, 
		u.user_id, u.username, u.user_avatar, u.user_avatar_type, u.user_opt, u.user_rank,
		pt.time, pt.tx_id, pt.text
			FROM ".BB_PM." p
				LEFT JOIN ".BB_PM_TEXT." pt ON(pt.pm_id = p.id)
				LEFT JOIN ".BB_PM_USERS." pu ON(pu.pid = p.id)
				LEFT JOIN ".BB_USERS." u ON(u.user_id = pt.us_id)
			WHERE p.id = pt.pm_id
				AND pt.tx_id = p.lastpost
				AND pu.puid = ".$userdata['user_id']."
				AND pu.pm_type IN (".PRIVMSGS_NEW_MAIL .",". PRIVMSGS_UNREAD_MAIL.")
			GROUP BY pt.time DESC LIMIT 0, 5");
		$html ='';
		if($sql)
		{
			$html .= '<ol class="secondaryContent" style="list-style-type: none;background-color: rgb(249, 250, 250);">';

			foreach($sql as $row)
			{
				$html .='<li class="listItem PopupItemLinkActive">';
				$html .= str_replace('<img', '<img align="left"', get_avatar($row['user_avatar'], $row['user_avatar_type'], !bf($row['user_opt'], 'user_opt', 'allow_avatar'), 48, 48, 'avatar'));
				$html .='<div class="listItemText">';
				$html .='<h3 class="title"><a href="'.PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $row['id'] . "&" . PRIVMS_POSTS_URLS . $row['tx_id'] . "#pm_" . $row['tx_id'].'">'.$row['sub'].'</a></h3>';
				$html .='<p title="Последнее сообщение от '.$row['username'].'" class="muted">';
				$html .='Последний ответ от '.profile_url(array('username' => $row['username'], 'user_id' => $row['user_id'], 'user_rank' => $row['user_rank'])).',';
				$html .='<span class="DateTime">'.bb_date($row['time']).'</span>';
				$html .='</p>';
				$html .='</div>';
				$html .='</li>';
			}
			
			$html .= '</ol>';
			$this->response['pmLoad_on'] = true;
		}else{
			$this->response['pmLoad_on'] = false;
		}
		$this->response['pmLoad'] = $html;
		break;
		
	default:
		$this->ajax_die($lang['SELECT_A_MODE']);
		break;
}
$this->response['mode'] = $mode;
