<?php

if (!defined('IN_AJAX')) die(basename(__FILE__));

global $lang, $userdata, $bb_cfg, $datastore;

if (!isset($this->request['mode']))
{
	$this->ajax_die($lang['SELECT_A_MODE']);
}

if (isset($this->request['repley_id']))
{
	$repley_id = (int) $this->request['repley_id'];
	$pmQueryRepley = DB()->fetch_row("SELECT p.*, pt.pm_id, pt.us_id, pt.text, pt.time AS timeT
		FROM  ".BB_PM." p, ".BB_PM_TEXT." pt
		WHERE pt.tx_id = $repley_id
			AND p.id = pt.pm_id
		LIMIT 1");
	if(!$pmQueryRepley) $this->ajax_die('not repley');
	$uThisPm = DB()->fetch_rowset("SELECT p.*, u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt
		FROM ".BB_PM_USERS." p, ".BB_USERS." u WHERE p.pid = {$pmQueryRepley['id']} AND p.puid = {$userdata['user_id']} AND u.user_id = p.puid");
	if(!$uThisPm) $this->ajax_die('Вы не состоите в данной переписке');
}
elseif (isset($this->request['pm_id']))
{
	$pm_id = (int) $this->request['pm_id'];
	$pmQuery = DB()->fetch_row("SELECT *
			FROM ".BB_PM."
			WHERE id = $pm_id
			LIMIT 1");
	if(!$pmQuery) $this->ajax_die('not pm');
	$uThisPm = DB()->fetch_rowset("SELECT p.*, u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt
		FROM ".BB_PM_USERS." p, ".BB_USERS." u WHERE p.pid = {$pmQuery['id']} AND p.puid = {$userdata['user_id']} AND u.user_id = p.puid");
	if(!$uThisPm) $this->ajax_die('Вы не состоите в данной переписке');
}
if (!defined('WORD_LIST_OBTAINED'))
{
	$orig_word = array();
	$replace_word = array();
	obtain_word_list($orig_word, $replace_word);
	define('WORD_LIST_OBTAINED', true);
}

$pm = new PrivateMS();
$mode = $this->request['mode'];
if (!$ranks = $datastore->get('ranks'))
{
	$datastore->update('ranks');
	$ranks = $datastore->get('ranks');
}

switch($mode)
{
	case 'opt':
		if (!isset($pm_id)) $this->ajax_die($lang['SELECT_A_ID']);
		$users = DB()->fetch_rowset("
				SELECT p.*, u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt
					FROM ".BB_PM_USERS." p, ".BB_USERS." u 
				WHERE p.pid = {$pmQuery['id']} 
				AND u.user_id = p.puid
			");
		$count = count($users);
		$html ='';
		($pmQuery['uid'] == $userdata['user_id']) ? $html .= "
			<script type=\"text/javascript\">
			function edit_title (pm_id)
			{
				var pm_title = $('#pm_title').attr('value');

				ajax.exec({
					action   : 'pm',
					mode     : 'edit_title',
					pm_id    : pm_id,
					pm_title : pm_title
				});
			}
			ajax.callback.pm = function(data) {
				if(data.edittit){
					$('#pmtTit').html(data.pm_title);
				}
				if(data.infoOn){
					alert(data.info);
				}
			};
			</script>": '';
		($pmQuery['uid'] == $userdata['user_id']) ? $html .= "
			<script type=\"text/javascript\">
			function addUSpm (pm_id)
			{
				var user_name = $('#addUSpm').attr('value');

				ajax.exec({
					action   : 'pm',
					mode     : 'added_new_user',
					pm_id    : pm_id,
					usrid  	  : user_name
				});
				ajax.callback.pm = function(data) {
					if(data.addusrtrue){
						$('#AdDed').before(data.addedUSR);
					}
				};
			}
			$(document).ready(function(){
				var globalTimeout = null; 
				$('input#addUSpm').tagit({
					autocomplete: {delay: 1000, minLength: 3, maxlength:128},
					removeConfirmation: true,
					placeholderText: 'Введите имя пользователя',
					tagLimit: 1,
					tagSource: function(search, showChoices) {
						ajax.exec({
							action  : 'QuickSearch',
							mode    : 'UserName',
							data	: search.term,
						});
						ajax.callback.QuickSearch = function(data){
							showChoices(data.tag);
						};
					}
				});
			});
			</script>": '';
		$html .= '<div id="PM_PopUpS" class="PopUpS" style="z-index: 1000; top: 91.1px; left: 286.5px; display: block; position: fixed"><div class="section">';
		$html .= '<h2 class="heading h1">Редактирование переписки: <span id="pmtTit">'. $pmQuery['sub'] .'</span> <button class="button" onclick="$(\'#PM_PopUpS\').hide(\'slow\'); return false;" title="Закрыть" >Закрыть</button></h2><div>';
		$html .= '<dl class="subHeading pairsInline"><table width="100%"><tr><td width="50%" align="left"><dt>Участников: </dt><dd>'. $count .'</dd></td>';
		$lock_checked = ($pmQuery['pm_lock']) ? "checked" : '';
		($pmQuery['uid'] == $userdata['user_id']) ? $html .= '<td width="50%" align="right"><dt>Закрыта: </dt><dd><input onclick="ajax.exec({action : \'pm\', mode: \'lock\', pm_id : '.$pmQuery['id'].'});" type="checkbox" '.$lock_checked.' /></dd></td>': '';
		$html .= '</tr></table></dl>';		
		($pmQuery['uid'] == $userdata['user_id']) ? $html .= '<ol class="overlayScroll"><li class="primaryContent memberListItem"><div class="member"><div class="userInfo"><div class="userBlurb dimmed"><span class="userTitle"><input type="text" id="pm_title" name="pm_title" size="50" value="'. $pmQuery['sub'] .'" ></span> <input type="button" onclick="edit_title('.$pmQuery['id'].')" value="'.$lang['SAVE'].'"></div></div></div></li></ol>': '';
		
		foreach($users as $row)
		{
			$user_rank  = $row['user_rank'];
			$rank_title = isset($ranks[$user_rank]) ? $ranks[$user_rank]['rank_title'] : $lang['USER'];
			$rank_style = isset($ranks[$user_rank]) ? $ranks[$user_rank]['rank_style'] : '';
			
			$html .= '<ol class="overlayScroll" id="usr_'.$row['user_id'].'"><li class="primaryContent memberListItem"><a href="'. PROFILE_URL . $row['user_id'] .'" class="avatars" alt="">'. str_replace('<img', '<img align="left"', get_avatar($row['user_avatar'], $row['user_avatar_type'], !bf($row['user_opt'], 'user_opt', 'allow_avatar'), 50, 50)) .'</a>';
			$html .= '<div class="extra"><abbr class="DateTime">';
			(($pmQuery['uid'] == $userdata['user_id']) || $row['user_id'] == $userdata['user_id']) ? $html .= '<a href="#" onclick="ajax.exec({action : \'pm\', mode: \'delete_new_user\', pm_id : '.$pmQuery['id'].', usrid : \''.$row['user_id'] .'\'}); $(\'#usr_\'+ '.$row['user_id'].').detach(); return false;" title="Удалить из переписки" ><img src="images/delfrends.png"></a>': '';
			$html .= '</abbr></div>';
			$html .= '<div class="member"><h3 class="username"><a href="'. PROFILE_URL.$row['user_id'] .'" class="username">'. profile_url($row) .'</a></h3>';
			$html .= '<div class="userInfo">';
			$html .= '<div class="userBlurb dimmed"><span class="'. $rank_style .'">'. $rank_title .'</span></div>';
			$html .= '</div></div></li></ol>';
		}
		$html .= '<div id="AdDed"></div>';
		($pmQuery['uid'] == $userdata['user_id']) ? $html .= '<ol class="overlayScroll"><li class="primaryContent memberListItem"><div class="member"><div class="userInfo"><div class="userBlurb dimmed"><table><tr><td width="80%"><span class="userTitle"><input type="text" id="addUSpm" name="addUSpm" size="50" value="" ></span></td><td width="20%"><input type="button" onclick="addUSpm('.$pmQuery['id'].')" value="Добавить пользователя"></td></tr></table></div></div></div></li></ol>': '';
		$html .= '</div></div></div>';
		$this->response['opt']	= true;
		$this->response['html']	= $html;
		break;
		
	case 'edit_title':
		if (!isset($pm_id)) $this->ajax_die($lang['SELECT_A_ID']);
		if($pmQuery['uid'] =! $userdata['user_id']) $this->ajax_die($lang['PM_NOT_DELETE_PM']);
		$pm_ids    = (int) $pmQuery['id'];
		$pm_title = (string) $this->request['pm_title'];
		$new_title   = clean_title($pm_title);

		if (!$pm_ids) $this->ajax_die($lang['INVALID_TOPIC_ID']);
		if ($new_title == '') $this->ajax_die($lang['DONT_MESSAGE_TITLE']);

		$title_sql = DB()->escape($new_title);

		DB()->query("UPDATE ". BB_PM ." SET sub = '$title_sql' WHERE id = $pm_ids LIMIT 1");

		$this->response['edittit'] = true;
		$this->response['pm_ids'] = $pm_ids;
		$this->response['pm_title'] = $new_title;
		break;
		
	case 'lock':
		if (!isset($pm_id)) $this->ajax_die($lang['SELECT_A_ID']);
		if($pmQuery['uid'] =! $userdata['user_id']) $this->ajax_die($lang['PM_NOT_DELETE_PM']);
		$pm_ids    = (int) $pmQuery['id'];

		if (!$pm_ids) $this->ajax_die($lang['INVALID_TOPIC_ID']);
		if($pmQuery['pm_lock'] == 1)
		{
			$lock_sql = '0';
		}else{
			$lock_sql = '1';
		}
		DB()->query("UPDATE ". BB_PM ." SET pm_lock = '$lock_sql' WHERE id = $pm_ids LIMIT 1");
		
		$alert = 'Не забудте перезагрузить страницу';
		
		$this->response['infoOn'] = true;
		$this->response['info'] = $alert;
		$this->response['pm_ids'] = $pm_ids;
		break;
		
	case 'added_new_user':
		if (!isset($pm_id)) $this->ajax_die($lang['SELECT_A_ID']);
		if($pmQuery['uid'] =! $userdata['user_id']) $this->ajax_die($lang['PM_NOT_DELETE_PM']);
		$pm_usrid   = (string) $this->request['usrid'];
		$thisAddUsr = get_user_id($pm_usrid);
		if(empty($thisAddUsr)) $this->ajax_die('Юзер не найден');
		if($thisAddUsr == $userdata['user_id']) $this->ajax_die('Вы уже состоите в переписке');
		if(in_array($thisAddUsr, explode(',', EXCLUDED_USERS_CSV))) $this->ajax_die($lang['PM_THIS_USER_CAN_NOT_ADDED_TO_PM']);
		$users = DB()->fetch_rowset("SELECT p.*, u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt
			FROM ".BB_PM_USERS." p, ".BB_USERS." u WHERE p.pid = {$pmQuery['id']} AND p.puid = {$thisAddUsr} AND u.user_id = p.puid");
		if($users) $this->ajax_die('Пользователь уже состоит в переписке');
		$pm->add_pm_user(array('pid' => $pmQuery['id'], 'puid' => $thisAddUsr, 'type' => PRIVMSGS_NEW_MAIL));
		$to_userdata = get_userdata ($thisAddUsr);
		$user_rank  = $to_userdata['user_rank'];
		$rank_title = isset($ranks[$user_rank]) ? $ranks[$user_rank]['rank_title'] : $lang['USER'];
		$rank_style = isset($ranks[$user_rank]) ? $ranks[$user_rank]['rank_style'] : '';
		
		$html = '';
		$html .= '<ol class="overlayScroll" id="usr_'.$to_userdata['user_id'].'"><li class="primaryContent memberListItem"><a href="'. PROFILE_URL . $to_userdata['user_id'] .'" class="avatars" alt="">'. str_replace('<img', '<img align="left"', get_avatar($to_userdata['user_avatar'], $to_userdata['user_avatar_type'], !bf($to_userdata['user_opt'], 'user_opt', 'allow_avatar'), 50, 50)) .'</a>';
		$html .= '<div class="extra"><abbr class="DateTime">';
		$html .= '<a href="#" onclick="ajax.exec({action : \'pm\', mode: \'delete_new_user\', pm_id : '.$pmQuery['id'].', usrid : \''.$to_userdata['user_id'] .'\'}); $(\'#usr_\'+ '.$to_userdata['user_id'].').detach(); return false;" title="Удалить из переписки" ><img src="images/delfrends.png"></a>';
		$html .= '</abbr></div>';
		$html .= '<div class="member"><h3 class="username"><a href="'. PROFILE_URL.$to_userdata['user_id'] .'" class="username">'. profile_url($to_userdata) .'</a></h3>';
		$html .= '<div class="userInfo">';
		$html .= '<div class="userBlurb dimmed"><span class="'. $rank_style .'">'. $rank_title .'</span></div>';
		$html .= '</div></div></li></ol>';

		$this->response['addusrtrue'] = true;
		$this->response['addedUSR'] = $html;
		break;
		
	case 'delete_new_user':
		if (!isset($pm_id)) $this->ajax_die($lang['SELECT_A_ID']);
		$pm_usrid   = (int) $this->request['usrid'];
		$thisAddUsr = get_username($pm_usrid);
		if(empty($thisAddUsr)) $this->ajax_die('Юзер не найден');
		if(($pm_usrid == $pmQuery['uid'])) $this->ajax_die('Нельзя удалять создателя переписки');
		if(($pmQuery['uid'] == $userdata['user_id']) && ($pm_usrid == $userdata['user_id'])) $this->ajax_die('Вы не можите удалить себя из собственной переписки');
		if(in_array($pm_usrid, explode(',', EXCLUDED_USERS_CSV))) $this->ajax_die('Данных юзеров нельзя удалять из переписок');
		$users = DB()->fetch_rowset("SELECT p.*, u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt
			FROM ".BB_PM_USERS." p, ".BB_USERS." u WHERE p.pid = {$pmQuery['id']} AND p.puid = {$pm_usrid} AND u.user_id = p.puid");
		if(!$users) $this->ajax_die('Пользователь и так не состоит в переписке');
		$pm->del_pm_user(array('pid' => $pmQuery['id'], 'puid' => $pm_usrid));

		$this->response['delusrtrue'] = true;
		break;
		
	case 'delete':
		if (isset($repley_id))
		{
			if($pmQueryRepley['pm_id'] != $pmQueryRepley['firstpost'] && ($userdata['user_level'] == ADMIN ||$userdata['user_id'] == $pmQueryRepley['us_id'] && $pmQueryRepley['timeT'] + 3600*3 > TIMENOW))
			{
				$pm->delete_reply($repley_id, false);
				$this->response['hide']			= true;
				$this->response['info'] 		= $lang['REPORT_DELETED'];
				$this->response['repley_id']	= $repley_id;
			}else{
				$this->ajax_die($lang['PM_NOT_DELETE_REP']);
			}
		}
		elseif (isset($pm_id))
		{
			if($pm_id == $userdata['user_id'])
			{
				$pm->delete_pm($pmQuery['id'], false);
				$this->response['hide']		= true;
				$this->response['info'] 	= $lang['REPORT_DELETED'];
				$this->response['pm_id'] 	= $pm_id;
			}else{
				$this->ajax_die($lang['PM_NOT_DELETE_PM']);
			}
		}else{
			$this->ajax_die($lang['SELECT_A_ID']);
		}

		break;

	case 'reply';
		if (!isset($repley_id)) $this->ajax_die($lang['SELECT_A_ID']);

		// Use trim to get rid of spaces placed there by MS-SQL 2000
		$quote_username = get_username($pmQueryRepley['us_id']);
		$message = "[quote=\"". $quote_username ."\"]". $pmQueryRepley['text'] ."[/quote]\n";
		// hide user passkey
		$message = preg_replace('#(?<=\?uk=)[a-zA-Z0-9]{10}(?=&)#', 'passkey', $message);
		// hide sid
		$message = preg_replace('#(?<=[\?&;]sid=)[a-zA-Z0-9]{12}#', 'sid', $message);

		if (!empty($orig_word))
		{
			$message = (!empty($message)) ? preg_replace($orig_word, $replace_word, $message) : '';
		}

		$this->response['quote']   = true;
		$this->response['message'] = $message;
		break;

	case 'edit': 
    case 'editor':
		if (!isset($repley_id)) $this->ajax_die($lang['SELECT_A_ID']);
		
		if($userdata['user_level'] == ADMIN || $userdata['user_id'] == $pmQueryRepley['us_id'] && $pmQueryRepley['timeT'] + 3600*3 > TIMENOW)
		{
			if($this->request['mode'] == 'editor')
			{
				$text = (string) $this->request['text'];
				$text = prepare_message($text);

				if(mb_strlen($text) > 2)
				{
					if($text != $pmQueryRepley['text'])
					{
						if($bb_cfg['max_smilies'])
						{
							$count_smilies = substr_count(bbcode2html($text), '<img class="smile" src="'. $bb_cfg['smilies_path']);
							if($count_smilies > $bb_cfg['max_smilies'])
							{
								$this->ajax_die(sprintf($lang['MAX_SMILIES_PER_POST'], $bb_cfg['max_smilies']));
							}
						}
						DB()->query("UPDATE ".BB_PM_TEXT." SET text = '". DB()->escape($text) ."' WHERE tx_id = $repley_id LIMIT 1");
						add_search_words($repley_id, stripslashes($text), stripslashes($pmQueryRepley['sub']));
						DB()->query("DELETE FROM ".BB_PM_TEXTHTML." WHERE tx_id = ". $repley_id ." LIMIT 1");
					}
				}
				else $this->ajax_die($lang['EMPTY_MESSAGE']);

				$this->response['html'] = bbcode2html($text);
			}
			else
			{
				$hidden_form = '<input type="hidden" name="mode" value="editpost" />';
				$hidden_form .= '<input type="hidden" name="'. POST_POST_URL .'" value="'. $repley_id .'" />';
				$hidden_form .= '<input type="hidden" name="subject" value="'. $pmQueryRepley['sub'] .'" />';

				$this->response['text'] = '
					<script type="text/javascript">
						ajax.callback.posts = function(data) {
							if(data.message_html){
								$(\'#view_mess'.$repley_id.'\').show();
								$(\'.view-mess'.$repley_id.'\').html(data.message_html);
								initPostBBCode(\'.view-mess'.$repley_id.'\');
									var maxH   = screen.height - 490;
								$(\'.view-mess'.$repley_id.'\').css({ maxHeight: maxH });
							}
						};
					</script>
					<div id="view_mess'.$repley_id.'" class="hidden">
						<div class="tLeft view-mess'.$repley_id.'"></div>
					</div>
					<form action="pm.php?mode=add&pm='.$repley_id.'" method="message" name="message" id="pm-comment">
						'. $hidden_form .'
						<div class="buttons mrg_4">
							<input type="button" value="B" name="codeB" title="'.$lang['BOLD'].'" style="font-weight: bold; width: 30px;" />
							<input type="button" value="i" name="codeI" title="'.$lang['ITALIC'].'" style="width: 30px; font-style: italic;" />
							<input type="button" value="u" name="codeU" title="'.$lang['UNDERLINE'].'" style="width: 30px; text-decoration: underline;" />
							<input type="button" value="s" name="codeS" title="'.$lang['STRIKEOUT'].'" style="width: 30px; text-decoration: line-through;" />&nbsp;&nbsp;
							<input type="button" value="'.$lang['QUOTE'].'" name="codeQuote" title="'.$lang['QUOTE_TITLE'].'" style="width: 57px;" />
							<input type="button" value="Img" name="codeImg" title="'.$lang['IMG_TITLE'].'" style="width: 40px;" />
							<input type="button" value="'.$lang['URL'].'" name="codeUrl" title="'.$lang['URL_TITLE'].'" style="width: 63px; text-decoration: underline;" /><input type="hidden" name="codeUrl2" />&nbsp;
							<input type="button" value="'.$lang['CODE'].'" name="codeCode" title="'.$lang['CODE_TITLE'].'" style="width: 43px;" />
							<input type="button" value="'.$lang['LIST'].'" name="codeList" title="'.$lang['LIST_TITLE'].'" style="width: 60px;" />
							<input type="button" value="1." name="codeOpt" title="'.$lang['LIST_ITEM'].'" style="width: 30px;" />&nbsp;
							<input type="button" value="'.$lang['QUOTE_SEL'].'" name="quoteselected" title="'.$lang['QUOTE_SELECTED'].'" onmouseout="bbcode.refreshSelection(false);" onmouseover="bbcode.refreshSelection(true);" onclick="bbcode.onclickQuoteSel();" />&nbsp;
						</div>
						<textarea id="message-'. $repley_id .'" class="editor mrg_4" name="message" cols="92" rows="10" tabindex="5">'. $pmQueryRepley['text'] .'</textarea>
						<div class="mrg_4 tCenter">
							<input type="button" value="'.$lang['PREVIEW'].'" onclick="ajax.exec({ action: \'posts\', type: \'view_message\', message: $(\'textarea#message-'. $repley_id .'\').val()});">
							<input type="button" onclick="edit_repley('. $repley_id .');" value="'. $lang['CANCEL'] .'">
							<input type="button" onclick="edit_repley('. $repley_id .', \'editor\', $(\'#message-'. $repley_id .'\').val()); return false;" class="bold" value="'. $lang['SUBMIT'] .'">
						</div><hr>
						<script type="text/javascript">
						var bbcode = new BBCode("message-'. $repley_id .'");
						var ctrl = "ctrl";

						bbcode.addTag("codeB", "b", null, "B", ctrl);
						bbcode.addTag("codeI", "i", null, "I", ctrl);
						bbcode.addTag("codeU", "u", null, "U", ctrl);
						bbcode.addTag("codeS", "s", null, "S", ctrl);

						bbcode.addTag("codeQuote", "quote", null, "Q", ctrl);
						bbcode.addTag("codeImg", "img", null, "R", ctrl);
						bbcode.addTag("codeUrl", "url", "/url", "", ctrl);
						bbcode.addTag("codeUrl2", "url=", "/url", "W", ctrl);

						bbcode.addTag("codeCode", "code", null, "K", ctrl);
						bbcode.addTag("codeList",  "list", null, "L", ctrl);
						bbcode.addTag("codeOpt", "*", "", "0", ctrl);
						</script>
					</form>';
			}
			$this->response['repley_id'] = $repley_id;
		}else{
			$this->ajax_die('not repley');
		}
		break;

	default:
		$this->ajax_die($lang['SELECT_A_MODE']);
		break;
}
$this->response['mode'] = $mode;
