<?php
define('IN_PHPBB', true);
define('BB_SCRIPT', 'pm');
define('IN_PM',     true);
define('BB_ROOT', './');
include(BB_ROOT . 'common.php');
include(INC_DIR . 'bbcode.php');
include(INC_DIR . 'functions_pm.php');

if ($bb_cfg['privmsg_disable']) bb_die('PM_DISABLED');

$mode_start  = isset($_GET['start']) ? abs(intval($_GET['start'])) : 0;
$start = ($mode_start) ? $mode_start : 0;
$per_page = '25';
$post_per_page = '25';
$minSymvol = '4';
$maxSymvolTitle = '200';
$maxSymvolMess = '1000';
$limitUserMax = '5';
$limitUserMin = '1';

$id = (int) request_var('id', '');
$pm_id = (int) request_var('pm', '');
$mode = (string) htmlspecialchars(request_var('mode', ''));
$errors ='';

if ($mode == PRIVMS_SMILE)
{
	generate_smilies('window');
	exit;
}

$user->session_start(array('req_login' => true));

$pm = new PrivateMS();
$user_id = $userdata['user_id'];

switch ($mode)
{
	case PRIVMS_ADD:
		if ( bf($userdata['user_opt'], 'user_opt', 'allow_pm') )
		{
			bb_die($lang['CANNOT_SEND_PRIVMSG']);
		}
		generate_smilies('inline');
		if(!empty($_POST['check']))
		{
			$title		= isset($_POST['title']) ? clean_title($_POST['title']) : false;
			$message	= isset($_POST['message']) ? prepare_message($_POST['message']) : false;
			$usr		= isset($_POST['user']) ? clean_username($_POST['user']) : 0;
			$lockCheck	= isset($_POST['lock']) ? true : false;
			$lock		= ($lockCheck) ? '1' : '0';
			if(!$title)
			{
				$errors[] = $lang['REPORT_TITLE_EMPTY'];
			}else{
				if(strlen($title) < $minSymvol){$errors[] = $lang['PM_TITLE_SMALL'].$minSymvol; $title = false;}
				if(strlen($title) > $maxSymvolTitle){$errors[] = $lang['PM_TITLE_LONG'].$maxSymvolTitle; $title = false;}
			}
			if(!$message)
			{
				$errors[] = $lang['REPORT_DESC_EMPTY'];
			}else{
				if(strlen($message) < $minSymvol){$errors[] = $lang['PM_MESS_SMALL'].$minSymvol; $message = false;}
				if(strlen($message) > $maxSymvolMess){$errors[] = $lang['PM_MESS_LONG'].$maxSymvolMess; $message = false;}
			}
			if(!empty($usr))
			{
				$users = explode(',', $usr);
				if (count($users) < $limitUserMin){$errors[] = $lang['PM_MESS_SMALL']; $usr = false;}
				if (count($users) > $limitUserMax){$errors[] = $lang['PM_MESS_LONG']; $usr = false;}
				$get_user_id = '';
				foreach ($users as $i => $row)
				{
					if (!get_user_id($row))
					{
						$errors[] = $lang['NO_USER_ID_SPECIFIED']. $row; 
						$usr = false;
					}
					elseif (get_user_id($row) == $user_id)
					{
						$errors[] = $lang['PM_YOU_ALREADY_TO_PM']; 
						$usr = false;
					}
					elseif (in_array(get_user_id($row), explode(',', EXCLUDED_USERS_CSV)))
					{
						$errors[] = $lang['PM_THIS_USER_CAN_NOT_ADDED_TO_PM']. EXCLUDED_USERS_CSV; 
						$usr = false;
					}else{
						$get_user_id[] = get_user_id($row);
					}	
				}
			}else{
				$errors[] = $lang['SELECT_USERNAME'];
			}
			if ($title && $usr && $message)
			{
				$pm->add_pm(array(
					'sub'		=> $title,
					'uid'		=> $user_id,
					'text'		=> $message,
					'lp_user'	=> $user_id,
					'users'		=> $get_user_id,
					'pm_lock'	=> $lock,
				));
			}
			$lockOn = ($lockCheck) ? "checked" : '';
			$template->assign_vars(array(
				'ERROR_MESSAGE'	=> ($errors) ? join('<br />', array_unique($errors)) : '',
				'TITLE'			=> isset($_POST['title']) ? clean_title($_POST['title']) : '',
				'USER'			=> isset($_POST['user']) ? clean_username($_POST['user']) : '',
				'TEXT'			=> isset($_POST['message']) ? prepare_message($_POST['message']) : '',
				'LOCK_PM'		=> $lockOn,
			));
		}else{
			$template->assign_vars(array(
				'USER'		=> isset($_GET[PRIVMS_USERS]) ? get_username($_GET[PRIVMS_USERS]) : '',
			));
		}
		$template->assign_vars(array(
			'AD'		=> true,
			'PM_MODE'	=> PRIVMS_MODE_URL . PRIVMS_ADD,
			'AVA'		=> get_avatar($userdata['user_avatar'], $userdata['user_avatar_type'], !bf($userdata['user_opt'], 'user_opt', 'allow_avatar')),
			'U_SMILIES'	=> PRIVMS_MODE_URL . PRIVMS_SMILE,
			'INVITE'	=> sprintf($lang['PM_YOU_INVITE'],$limitUserMax),
			'PAGE_TITLE'=> $lang['PM_CREATE'],
		));
		
		break;
						
	case PRIVMS_DEL_REP:
		if (isset($pm_id))
		{
			$pmQueryRepley = DB()->fetch_row("SELECT p.*, pt.text, pt.time AS timeT, pt.pm_id
				FROM  ".BB_PM." p, ".BB_PM_TEXT." pt
				WHERE pt.tx_id = $pm_id
					AND p.id = pt.pm_id
				LIMIT 1");
			if(!$pmQueryRepley) bb_die('not pm');

			if($pmQueryRepley['pm_id'] != $pmQueryRepley['firstpost'] && ($userdata['user_level'] == ADMIN ||$user_id == $pmQueryRepley['us_id'] && $pmQueryRepley['timeT'] + 3600*3 > TIMENOW))
			{
				$pm->delete_reply($pm_id);			
			}else{
				bb_die($lang['PM_CANNOT_DELETE_REP']);
			}
		}else{
			bb_die($lang['SELECT_A_ID']);
		}	

		break;
		
	case PRIVMS_DEL_PM:
		if (isset($id))
		{
			$pmQuery = DB()->fetch_row("SELECT *
				FROM ".BB_PM."
				WHERE id = $id
					AND uid = $user_id
				LIMIT 1");
			if(!$pmQuery) bb_die('not pm');
	
			if($pmQuery['uid'] == $user_id)
			{
				$pm->delete_pm($pmQuery['id']);			
			}else{
				bb_die($lang['PM_CANNOT_DELETE_PM']);
			}
		}else{
			bb_die($lang['SELECT_A_ID']);
		}	

		break;

	case PRIVMS_VIEW:
		$dt = DB()->fetch_row("SELECT * FROM ".BB_PM." WHERE id = $id");
		if (!$dt) bb_die($lang['PM_NOT_EXIST']);
		
		$check = DB()->fetch_row("SELECT * FROM ".BB_PM_USERS." WHERE pid = $id AND puid = " . $user_id);
		if (!$check) bb_die($lang['PM_CAN_NOT_VIEW']);
		if(!empty($_POST['addrepley']))
		{
			$message	= isset($_POST['message']) ? prepare_message($_POST['message']) : '';
			if(!$message)
			{
				$errors[] = $lang['REPORT_DESC_EMPTY'];
			}else{
				if(strlen($message) < $minSymvol){$errors[] = $lang['PM_MESS_SMALL'].$minSymvol; $message = false;}
				if(strlen($message) > $maxSymvolMess){$errors[] = $lang['PM_MESS_LONG'].$maxSymvolMess; $message = false;}
			}
			if ($message)
			{
				if($dt['pm_lock'] < 1)
				{
					$sql = "SELECT tx_id, us_id, time, MAX(time) FROM " . BB_PM_TEXT . " WHERE pm_id = $id GROUP BY time ORDER BY time DESC LIMIT 1";

					if ( !($result = DB()->sql_query($sql)) )
					{
						message_die(GENERAL_ERROR, 'Could not obtain pm information', '', __LINE__, __FILE__, $sql);
					}
					$post_id_last_row = DB()->sql_fetchrow($result);
					$tx_id = $post_id_last_row['tx_id'];
					$difference_time = TIMENOW - $post_id_last_row['time'];
					$separator = '[br][size=9][color=#999999]' . $lang['PM_ADDED_LATER'] . delta_time($post_id_last_row['time'], TIMENOW, 'seconds'). ':[/color][/size][br]';

					if ( $post_id_last_row['us_id'] == $user_id && ( $difference_time < ( $bb_cfg['join_int_pm'] * 3600 ) ) )
					{
						$pm->update_pm_reply(array(
							'id'		=> $id,
							'tx_id'		=> $tx_id,
							'text'		=> $message,
							'separator'	=> $separator,
						));						
					}else{
						$pm->add_pm_reply(array(
							'id'		=> $id,
							'us_id'		=> $user_id,
							'text'		=> $message,
						));
					}				
				}else{
					$errors[] = $lang['PM_CLOSED'];
				}
			}
		}
		$datastore->enqueue(array('ranks'));

		if (!$ranks = $datastore->get('ranks'))
		{
			$datastore->update('ranks');
			$ranks = $datastore->get('ranks');
		}
		$sql = "SELECT 
		p.firstpost, 
		tx.time,tx.us_id,tx.tx_id, 
		txh.pm_html, IF(txh.pm_html IS NULL, tx.text, NULL) AS text,
		u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt, u.user_sig
			FROM ".BB_PM." p
				LEFT JOIN ".BB_PM_TEXT." tx  ON(tx.pm_id = p.id)
				LEFT JOIN ".BB_PM_TEXTHTML." txh  ON(txh.tx_id = tx.tx_id)
				LEFT JOIN ".BB_USERS ." u  ON(u.user_id = tx.us_id)
			WHERE p.id= $id
			GROUP BY tx.time LIMIT $start, $post_per_page";
		if ( !($result = DB()->sql_query($sql)) )
		{
				message_die(GENERAL_ERROR, 'Could not obtain information', '', __LINE__, __FILE__, $sql);
		}
		$view_pm = DB()->fetch_row("
			SELECT COUNT(tx.us_id) as count_num, p.id, pu.pm_type
			FROM ".BB_PM." p
				LEFT JOIN ".BB_PM_TEXT." tx  ON(tx.pm_id = p.id)
				LEFT JOIN ".BB_PM_USERS." pu  ON(pu.pid = p.id)
			WHERE p.id= $id
				AND pu.puid = ". $user_id ."
			LIMIT 1
		");
		$count_num = $view_pm['count_num'];
		switch ($view_pm['pm_type'])
		{
			case PRIVMSGS_NEW_MAIL:
				$sqlUpdate = "user_new_privmsg = IF(user_new_privmsg, user_new_privmsg - 1, 0)";
				break;
			case PRIVMSGS_UNREAD_MAIL:
				$sqlUpdate = "user_unread_privmsg = IF(user_unread_privmsg, user_unread_privmsg - 1, 0)";
				break;
		}
		if ($view_pm['pm_type'] == PRIVMSGS_NEW_MAIL || $view_pm['pm_type'] == PRIVMSGS_UNREAD_MAIL)
		{
			$sql_upd = "UPDATE " . BB_USERS . "
				SET $sqlUpdate
				WHERE user_id = " . $user_id;
			if ( !DB()->sql_query($sql_upd) )
			{
				message_die(GENERAL_ERROR, 'Could not update private message read status for user', '', __LINE__, __FILE__, $sql_upd);
			}
			if (DB()->affected_rows())
			{
				cache_rm_userdata($userdata);
			}

			$sqlUpdate = "UPDATE ". BB_PM_USERS ."
				SET pm_type = ". PRIVMSGS_READ_MAIL ."
				WHERE pid = ".$view_pm['id'] ."
					AND puid = ". $user_id;			
	
			if ( !DB()->sql_query($sqlUpdate) )
			{
				message_die(GENERAL_ERROR, 'Could not update private message read status', '', __LINE__, __FILE__, $sql_upd);
			}
		}	
		$rows = DB()->sql_fetchrowset($result);
		$users = DB()->fetch_rowset("SELECT p.*, u.user_id, u.username, u.user_rank, u.user_avatar, u.user_avatar_type, u.user_opt
			FROM ".BB_PM_USERS." p, ".BB_USERS." u WHERE p.pid = $id AND u.user_id = p.puid");

		foreach ($users as $row)
		{
			$template->assign_block_vars('us', array(
				'URANK' => (!empty($ranks[$row['user_rank']])) ? $ranks[$row['user_rank']]['rank_title'] : $lang['USER'],
				'UNAME' => $row['username'],
				'UID' => $row['user_id'],
				'AVA' => get_avatar($row['user_avatar'], $row['user_avatar_type'], !bf($row['user_opt'], 'user_opt', 'allow_avatar'), 50, 50),
			));
		}
		$orig_word = array();
		$replacement_word = array();
		obtain_word_list($orig_word, $replacement_word);
		$i=0;
		foreach ($rows as $repley)
		{
			$text = $pm->get_parsed_pm($repley);
			$rank_text = $rank_image = '';

			if (!$user->opt_js['h_rnk_i'] AND isset($ranks[$repley['user_rank']]))
			{
				$rank_image = ($bb_cfg['show_rank_image'] && $ranks[$repley['user_rank']]['rank_image']) ? '<img src="'. $ranks[$repley['user_rank']]['rank_image'] .'" alt="" title="" border="0" />' : '';
				$rank_text = ($bb_cfg['show_rank_text']) ? $ranks[$repley['user_rank']]['rank_title'] : '';
			}
			
			$quote_btn = $edit_btn = '';
			if ($repley['us_id'] != BOT_UID)
			{
				// Quote
				$quote_btn = true;
				// Edit
				$edit_btn = (($userdata['user_id'] == $repley['us_id']) || ($userdata['user_level'] == ADMIN));
			}
			// Delete
			$delpost_btn = ($repley['tx_id'] != $repley['firstpost'] && ($userdata['user_level'] == ADMIN || ($userdata['user_id'] == $repley['us_id'] && $repley['time'] + 3600*3 > TIMENOW)));
			$text = str_replace('\"', '"', substr(@preg_replace('#(\>(((?>([^><]+|(?R)))*)\<))#se', "@preg_replace(\$orig_word, \$replacement_word, '\\0')", '>' . $text . '<'), 1, -1));
			$i++;
			$template->assign_block_vars('pm', array(
				'ID'		=>	$repley['tx_id'],
				'ROW'		=>	($i % 2) ? 'row2' : 'row1',
				'TEXT'		=>	$text,
				'TIME'		=>	bb_date($repley['time']),
				'USER'		=>	profile_url($repley),
				'AVA'		=>	get_avatar($repley['user_avatar'], $repley['user_avatar_type'], !bf($repley['user_opt'], 'user_opt', 'allow_avatar')),
				'AUTOR'		=>	($repley['user_id'] == $dt['firstpost']) ? true : false,				
				'RANK_TEXT' => $rank_text,
				'RANK_IMAGE'=> $rank_image,
				'USER_SIG'	=> ($repley['user_sig']) ? $bb_cfg['user_signature_start'] . bbcode2html($repley['user_sig']) . $bb_cfg['user_signature_end'] : '',
				'UID'		=>	$repley['user_id'],
				'YOUR'		=>	$repley['user_id'] == $user_id,
				'AFTER'		=>	($dt['firstpost'] != $repley['tx_id']) ? delta_time($dt['time'], $repley['time']) : '',
				'QUOTE'   	=> $quote_btn,
				'EDIT'    	=> $edit_btn,
				'DELETE'  	=> $delpost_btn,
				'PM_URL'	=> PRIVMS_MODE_URL . PRIVMS_ADD . "&" . PRIVMS_USER . $repley['user_id'],
				'PM_HREF'	=> PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $dt['id'] . "&" . PRIVMS_POSTS_URLS . $repley['tx_id'] . "#pm_" . $repley['tx_id'],
			));
		}
		$num_query = $count_num;
		$url = PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $dt['id'];
		$pagination = generate_pagination($url, $num_query, $post_per_page, $start, false, true);
		$template->assign_vars(array(
			'PMID'				=> true,
			'ID'				=> $dt['id'],
			'SUB'				=> $dt['sub'],
			'PM_REPLY'			=> ($dt['pm_lock'] < 1) ? true : false,
			'QR_POST_ACTION'	=> PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $dt['id'],
			'ERROR_MESSAGE'		=> ($errors) ? join('<br />', array_unique($errors)) : '',
			'AVA'				=> get_avatar($userdata['user_avatar'], $userdata['user_avatar_type'], !bf($userdata['user_opt'], 'user_opt', 'allow_avatar')),
			'PAGINATION'		=> $pagination,
			'HAS_PARENT_TITLE'	=> true,
			'PARENT_TITLE_HREF'	=> PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $dt['id'],
			'PARENT_TITLE_NAME'	=> $dt['sub'],
			'PAGE_TITLE'		=> $lang['PM_PM_TO'] . ' ' . $dt['sub'],
		));
		
		break;

	case PRIVMS_LIST:
	default:	
		$submit_msgdays = ( isset($_POST['submit'])) ? TRUE : 0;
		if ( $submit_msgdays && (!empty($_POST['msgdays']) || !empty($_GET['msgdays'])))
		{
			$msg_days = (!empty($_POST['msgdays'])) ? intval($_POST['msgdays']) : intval($_GET['msgdays']);
			$min_msg_time = TIMENOW - ($msg_days * 86400);

			$limit_msg_time = " AND p.time > $min_msg_time ";

		}else{
			$limit_msg_time = $limit_msg_time_total = '';
			$msg_days = 0;
		}
		$sql = DB()->fetch_rowset("SELECT 
		p.*, 
		pu.pid,pu.puid,pu.pm_type, 
		u.user_id, u.username, u.user_avatar, u.user_avatar_type, u.user_opt, u.user_rank, uu.username AS username2, uu.user_id AS user_id2, uu.user_rank as user_rank2
			FROM ".BB_PM_USERS." pu, ".BB_PM." p
				LEFT JOIN ".BB_USERS." AS u ON(u.user_id = p.uid)
				LEFT JOIN ".BB_USERS." AS uu ON(uu.user_id = p.lp_user)
			WHERE pu.puid = $user_id
				AND pu.pid = p.id
				$limit_msg_time
			GROUP BY p.lastime DESC
		LIMIT $start, $per_page");

		db_update_userdata($userdata, array(
			'user_unread_privmsg' => 'user_unread_privmsg + user_new_privmsg',
			'user_new_privmsg'    => 0,
			'user_last_privmsg'   => $userdata['session_start'],
		));

		$sqlUpdate = "UPDATE ". BB_PM_USERS ."
			SET pm_type = ". PRIVMSGS_UNREAD_MAIL ."
			WHERE pm_type = ". PRIVMSGS_NEW_MAIL ."
				AND puid = ". $user_id;			
		if ( !DB()->sql_query($sqlUpdate) )
		{
			message_die(GENERAL_ERROR, 'Could not update private message new/read status (2) for user', '', __LINE__, __FILE__, $sql);
		}
		
		$previous_days = array(0, 1, 7, 14, 30, 90, 180, 364);
		$previous_days_text = array($lang['ALL_POSTS'], $lang['1_DAY'], $lang['7_DAYS'], $lang['2_WEEKS'], $lang['1_MONTH'], $lang['3_MONTHS'], $lang['6_MONTHS'], $lang['1_YEAR']);

		$select_msg_days = '';
		for($i = 0; $i < count($previous_days); $i++)
		{
			$selected = ( $msg_days == $previous_days[$i] ) ? ' selected="selected"' : '';
			$select_msg_days .= '<option value="' . $previous_days[$i] . '"' . $selected . '>' . $previous_days_text[$i] . '</option>';
		}
		
		if (!$sql)
		{
			$template->assign_var('NO', true);
		}else{
			$row_num = DB()->fetch_row("
				SELECT COUNT(p.id) as count_num
				FROM ".BB_PM_USERS." pu,  ".BB_PM." p
					LEFT JOIN ".BB_USERS." AS u ON(u.user_id = p.uid)
					LEFT JOIN ".BB_USERS." AS uu ON(uu.user_id = p.lp_user)
				WHERE pu.puid = $user_id
					AND pu.pid = p.id
					$limit_msg_time
				LIMIT 1
			");
			$count_num = $row_num['count_num'];
			foreach ($sql as $pm_list)
			{
				$this_u = ($userdata['user_id'] == $pm_list['puid']) ? true : false;
				$type = $pm_list['pm_type'];
				
				$title = ($this_u && ($type == PRIVMSGS_NEW_MAIL || $type == PRIVMSGS_UNREAD_MAIL)) ? $lang['UNREAD_MESSAGE'] : $lang['READ_MESSAGE'];
				$class = '';
				$class .= ($this_u && ($type == PRIVMSGS_NEW_MAIL)) ? 'new_pm' : '';
				$class .= ($this_u && ($type == PRIVMSGS_UNREAD_MAIL)) ? 'old_pm' : '';
				$template->assign_block_vars('listpm', array(
					'ID'		=>	$pm_list['id'],
					'SUB'		=>	$pm_list['sub'],
					'TIME'		=>	bb_date($pm_list['time']),
					'TIMES'		=>	delta_time($pm_list['lastime']),
					'UID'		=>	profile_url($pm_list),
					'MAJOR'		=>	$pm_list['major'],
					'TITLE'		=>	$title,
					'CLASS'		=>	$class,
					'MINOR'		=>	$pm_list['minor'],
					'URL'		=>	PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $pm_list['id'],
					'PM_HREF'	=>	PRIVMS_MODE_URL . PRIVMS_VIEW . "&" . PRIVMS_IDS . $pm_list['id'] . "&" . PRIVMS_POSTS_URLS . $pm_list['lastpost'] . "#pm_" . $pm_list['lastpost'],
					'UIDS'		=>	profile_url(array('user_id' => $pm_list['user_id2'], 'username' => $pm_list['username2'], 'user_rank' => $pm_list['user_rank2'])),
					'AVA'		=>	get_avatar($pm_list['user_avatar'], $pm_list['user_avatar_type'], !bf($pm_list['user_opt'], 'user_opt', 'allow_avatar'), 37, 37, 'avatar'),
				));
			}
			$num_query = $count_num;
			$url = PRIVMS_MODE_URL . PRIVMS_LIST;
			$pagination = generate_pagination($url, $num_query, $per_page, $start);
			$template->assign_vars(array(
				'PAGINATION'		=> $pagination,
			));
		}
		$template->assign_vars(array(
			'PM_MODE'				=> PRIVMS_MODE_URL . PRIVMS_LIST,
			'PM_RSS'				=> PRIVMS_RSS . PRIVMS_RSS_USR. $userdata['username'] . "&" . PRIVMS_RSS_PAS,
			'U_POST_REPLY_TOPIC'	=> PRIVMS_MODE_URL . PRIVMS_ADD,
			'T_POST_REPLY'			=> $lang['PM_CREATE'],
			'PAGE_TITLE'			=> $lang['PM_PM'] . ' ' . $userdata['username'],
			'S_SELECT_MSG_DAYS' 	=> $select_msg_days,
		));
}
$template->assign_vars(array(
	'ON_MORE_URL' 		=> true,
	'U_MORE_URL'		=> PRIVMS_MODE_URL . PRIVMS_LIST,
	'TITLE_MORE_URL'	=> $lang['PM_PM'] . ' ' . $userdata['username'],
));


print_page('pm.tpl');